SrnId (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.measurement.server.session.SrnId class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.measurement.server.session
Class SrnId

    java.lang.Object
      org.hyperic.hq.measurement.server.session.SrnId

All Implemented Interfaces:
  java.io.Serializable

    public class SrnId

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`SrnId()`
`SrnId(int appdefType, int instanceId)`

Method Summary
`boolean` | `equals(java.lang.Object other)`
`int` | `getAppdefType()`
`int` | `getInstanceId()`
`int` | `hashCode()`
`protected void` | `setAppdefType(int appdefType)`
`protected void` | `setInstanceId(int instanceId)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SrnId

    public SrnId()

### SrnId

    public SrnId(int appdefType,
                 int instanceId)

Method Detail

### getAppdefType

    public int getAppdefType()

### setAppdefType

    protected void setAppdefType(int appdefType)

### getInstanceId

    public int getInstanceId()

### setInstanceId

    protected void setInstanceId(int instanceId)

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.